Subject: Re: Newbie bash user problem--interactive bash will not run my scripts!
From: Jason Tishler <[email-masked]>
To: "Michael L. Creech" <[email-masked]>
Cc: [email-masked]
Date: Thu, 31 Aug 2000 12:16:58 -0400

Michael,

On Thu, Aug 31, 2000 at 07:36:34AM -0700, Michael L. Creech wrote:
> Thanks so much for helping me!

Unfortunately, I think that you spoke too soon...

> So, the results I get are:
>   1) if I place '!#/bin/sh' or '!#/bin/bash' in my build-dist.ksh script,
> then simply entering 'build-dist.ksh' to a bash shell prompt works
> 
>   2) if I have no '!#/bin/xxx' line of any sort in my build-dist.ksh script,
> then I get:
> 
>      BASH.EXE: ./build-dist.sh: No such file or directory

After many attempts, I cannot duplicate the above (ie, #2).  So, I cannot
determine what is the root cause of your problem.

> so is the solution then for me to get ash installed?

It appears from your response, that you already have ash installed since
you have a file called "/bin/sh".  Note that Cygwin installs ash as "/bin/sh".

Hopefully someone can see what I'm missing...  Maybe sending the output
from "cygcheck -s -v -r" to the list will help to find your problem.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]